#include "lexer.h"

int main(int argc, char **argv) {
    if (argc < 2) {
        printf("%s: Usage: %s [path to file]\n", argv[0], argv[0]);
    } else {
        FILE *src = fopen(argv[1], "r");
        lexer(src);

        while (has_more_tokens()) {
            TokenLexeme *tl = get_next_token();
            printf("Line: %d | Token: %d, Lexeme: %s\n", tl->line, tl->token, tl->lexeme);
        }
    }
}